# Generated by Django 3.2.17 on 2023-05-31 17:41

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('news', '0004_stream_is_enabled'),
    ]

    operations = [
        migrations.CreateModel(
            name='Reaction',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('monday_date', models.DateField(verbose_name='Дата отправки новостей')),
                ('reaction', models.CharField(default='no_reaction', max_length=50, verbose_name='Реакция')),
                ('news_temp', models.TextField(verbose_name='Поле для сохранения текста рассылки, чтобы не потерять формат при нажатии лайка/дизлайка')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='users', to='news.botuser', verbose_name='Пользователь, поставивший реакцию')),
            ],
            options={
                'verbose_name': 'Реакция',
                'verbose_name_plural': 'Реакции на новости',
                'ordering': ['-monday_date'],
            },
        ),
        migrations.RemoveField(
            model_name='news',
            name='raw_text',
        ),
        migrations.RemoveField(
            model_name='stream',
            name='is_enabled',
        ),
        migrations.AlterField(
            model_name='botuser',
            name='weekday',
            field=models.CharField(choices=[('monday', 'Понедельник'), ('every', 'Каждый день')], default='monday', max_length=50, verbose_name='Получать по понедельникам или каждый день?'),
        ),
        migrations.AddConstraint(
            model_name='reaction',
            constraint=models.UniqueConstraint(fields=('monday_date', 'user'), name='unique reaction'),
        ),
    ]
